Bug 1249749 - Review Request: python3-pyjf3 - Python module for Japanese text manipulation
Review Request: python3-pyjf3 - Python module for Japanese text manipulation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: René Ribaud
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1249786
  Show dependency treegraph
 
Reported: 2015-08-03 13:06 EDT by William Moreno
Modified: 2015-10-31 22:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rene.ribaud: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2015-08-03 13:06:30 EDT
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/pyjf3.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/pyjf3-0.3-1.fc22.src.rpm
Description: Python module for Japanese text manipulation
Fedora Account System Username: williamjmorenor
Comment 2 René Ribaud 2015-10-01 08:08:14 EDT
Hello William,

Here are the results of my first review :

1- The package is not following package naming guidelines.
   Extracted from the doc : "So all python3 modules MUST have python3 in their name."
   So naming should be python3-pyjf3

2- The source URL in the package is not valid. (folder k instead of p)

3- I think you should leverage a bit your .spec from https://fedoraproject.org/wiki/Packaging:Python example, using macros definition at the beginning, etc...

4- Regarding the license, as a short term solution, you should extract the README.rst Copyright section and place it into a license.rst file in %prep part (wih sed). Then introduce a %license directive in the %files part referencing license.rst.
A better option now or for the next package will be to request a dedicated file with the license to upstream developer.

5- To my mind BuildRequires:  python3-setuptools is not required.

6- Dirs in package are owned also by: /usr/lib/python3.4/site-
     packages/__pycache__(python3-setuptools, python3-pytest, python3-six,
     python3-libs)
   Refine %files to use %{python3_sitelib}/__pycache__/pyjf3.*
     and %{python3_sitelib}/pyjf3* in %files to avoid that.
Comment 3 William Moreno 2015-10-01 16:42:41 EDT
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/python3-pyjf3.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/python3-pyjf3-0.3-1.fc22.src.rpm

Changelog:
- 0.3-2
- Update Python Macros
- Patch license file

Upstream issue to include a separate license text
https://github.com/atsuoishimoto/pyjf3/issues/1
Comment 4 René Ribaud 2015-10-01 17:52:38 EDT
Can you check the SRPM link, it seems not ok. I have a 404.
By the way for next packages, do not change Spec URL and SRPM URL because it prevents fedora-review tool to work fine.
Comment 6 William Moreno 2015-10-01 18:09:35 EDT
I got a error with mock but fedora-review fetch fine the spec and the src.rpm
Comment 7 René Ribaud 2015-10-02 08:40:30 EDT
Hello William,

Despite I would not do exactly the same way.
Package looks good to me.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in
     /home/uggla/rpmbuild/SPECS/1249749-python3-pyjf3/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pyjf3-0.3-2.fc24.noarch.rpm
          python3-pyjf3-0.3-2.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-pyjf3 (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-pyjf3:
    python3-pyjf3



Source checksums
----------------
https://pypi.python.org/packages/source/p/pyjf3/pyjf3-0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 4b179a74a636ec7c8d98d2f9c84205fc15de5b1fb34ff397c592ca32d43ddb6b
  CHECKSUM(SHA256) upstream package : 4b179a74a636ec7c8d98d2f9c84205fc15de5b1fb34ff397c592ca32d43ddb6b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1249749
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 William Moreno 2015-10-02 13:52:51 EDT
Thanks for the review, this package is a requires for #1249786 can you help with this review, can you help me with that? I can review some packages for you in exchage for that.
Comment 9 William Moreno 2015-10-02 13:55:32 EDT
New Package SCM Request
=======================
Package Name: python3-pyjf3
Short Description: Python module for Japanese text manipulation
Upstream URL: https://github.com/atsuoishimoto/pyjf3
Owners: williamjmorenor
Branches: master f23
InitialCC: williamjmorenor
Comment 10 Gwyn Ciesla 2015-10-02 13:56:29 EDT
This SCM request method has been deprecated. Please see https://fedoraproject.org/wiki/PackageDB_admin_requests.
Comment 11 Fedora Update System 2015-10-02 16:02:37 EDT
python3-pyjf3-0.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-87b5b8064e
Comment 12 Fedora Update System 2015-10-03 21:51:18 EDT
python3-pyjf3-0.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python3-pyjf3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-87b5b8064e
Comment 13 Fedora Update System 2015-10-31 22:47:18 EDT
python3-pyjf3-0.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.